From ffa8e6215f0f6a8dffe8bf3f3aba7a777c210237 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Thu, 16 Apr 2020 10:05:09 +0800
Subject: [PATCH 47/77] virsh_save_image_edit: change expected state to make it
 suitable for no_option.

Change expected state to make it suitable for no_option, as domstate
unchanged when option is "", so when restore_state is "", domstate is
"running" is expected.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py b/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py
index 25653193..65395de0 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_save_image_edit.py
@@ -64,7 +64,7 @@ def run(test, params, env):
             test.fail("After domain restore the xml is not expected")
 
         domstate = virsh.domstate(vm_name, debug=True).stdout.strip()
-        if restore_state != domstate:
+        if restore_state != domstate and (restore_state != "" or domstate != "running"):
             test.fail("The domain state is not expected")
 
     # MAIN TEST CODE ###
-- 
2.23.0

